models/Fotos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "fotos".
 *
 * @property int $id
 * @property string $nombre
 * @property int $portada
 */
class Fotos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'fotos';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['portada'], 'integer'],
            [['nombre'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'portada' => 'Portada',
        ];
    }
}

models/Paginas.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "paginas".
 *
 * @property int $id
 * @property string $nombre
 * @property string $texto
 */
class Paginas extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'paginas';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['texto'], 'string'],
            [['nombre'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'texto' => 'Texto',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use yii\db\ActiveRecord;
use app\models\Fotos;// acceso directo al modelo de fotos
use app\models\Paginas;

class SiteController extends Controller
{
    

    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    public function actionIndex(){
        /* ejecutar la consulta con activeRecord y devuelve un array de modelos*/
        //        $fotos = Fotos::findAll(["portada"=>1]);
        
        
        /* ejecutar la consulta con activeRecord y devuelve un ActiveQueryInterface */
        $fotos1= Fotos::find()// esto solo nos brinda un interface de ActiveRecords
                ->where(["portada"=>1])// esta es la condicion
                ->all();
        
        return $this->render('index',[
            "datos"=>$fotos1,
        ]);
    }
    
    public function actionDonde(){
        $texto= Paginas::find()
                ->where(["nombre"=>"donde estamos"])
                ->one();
        
        return $this->render('dondeestamos',[
                "texto"=>$texto,
        ]);
    }
    
    public function actionPagina($p){
       if($p==1){
           $texto= Paginas::find()
                   ->where(["nombre"=>"pagina1"])
                   ->one();
           
            return $this->render('paginas',[
            'datos'=>$p,
            'texto'=>$texto,   
            
        ]);
       }elseif($p==2){
           
           $texto= Paginas::find()
                   ->where(["nombre"=>"pagina2"])
                   ->one();
           
            return $this->render('paginas',[
            'datos'=>$p,
            'texto'=>$texto, 
            
        ]);
       }else{
           
           $texto= Paginas::find()
                   ->where(["nombre"=>"pagina 3"])
                   ->one();
           
            return $this->render('paginas',[
            'datos'=>$p,
            'texto'=>$texto,
            
        ]);
       }
        
        
    }
    public function actionFotos(){
        /* ejecutar la consulta con activeRecord y devuelve un array de modelos*/
        //        $fotos = Fotos::findAll(["portada"=>1]);
        
        
        /* ejecutar la consulta con activeRecord y devuelve un ActiveQueryInterface */
        $fotos1= Fotos::find()// esto solo nos brinda un interface de ActiveRecords
                ->where(["portada"=>0])// esta es la condicion
                ->all();
        
        return $this->render('index',[
            "datos"=>$fotos1,
        ]);
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => FALSE,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-left'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Donde Estamos', 'url' => ['/site/donde']],
            ['label' => 'Paginas', 'items' => [
                ['label'=>'Pagina 1','url'=>['/site/pagina','p'=>1]],
                ['label'=>'Pagina 2','url'=>['/site/pagina','p'=>2]],
                ['label'=>'Pagina 3','url'=>['/site/pagina','p'=>3]],
                
            ]],
            ['label' => 'Fotos', 'url' => ['/site/fotos']],    
            
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">Daniel Delgado</p>

        <p class="pull-right">Alpe Formación</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/dondeestamos.php
<?php
$this->title = 'Donde Estamos';
?>


<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2895.951851936285!2d-3.8139163845084374!3d43.46160237912838!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0xd494bcc568fd8c3%3A0x7858c552ade0effc!2sAlpe+Formacion!5e0!3m2!1ses!2ses!4v1537528483766" width="600" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>

<div class="jumbotron">
    <div class="container">
        <?php
            echo $texto->texto;
        ?>
    </div>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/fotos.php
<?php
$this->title = 'Fotos';
?>
<div class="site-index">
    <div class="row">
        <?php 
            foreach($datos as $registro){
        ?>
        <div class="col-xs-12 col-md-6">
            <?= yii\helpers\Html::img("@web/imgs/$registro->nombre",[
                'class'=>'img-responsive img-rounded',
                'style'=>'margin-top:10px',
            ])?>   
            
        </div>
        <?php 
            }
        ?>
    </div>
</div>

views/site/index.php
<?php
$this->title = 'Inicio';
?>
<div class="site-index">
    <div class="row">
        <?php 
            foreach($datos as $registro){
        ?>
        <div class="col-xs-12 col-md-6">
            <?= yii\helpers\Html::img("@web/imgs/$registro->nombre",[
                'class'=>'img-responsive img-rounded',
                'style'=>'margin-top:10px',
            ])?>   
            
        </div>
        <?php 
            }
        ?>
    </div>
</div>

views/site/paginas.php
<div class="jumbotron">
    <div class="container">
        <?php
            echo $texto->texto;
        ?>
    </div>
</div>